diff --git a/web/pgadmin/feature_tests/file_manager_test.py b/web/pgadmin/feature_tests/file_manager_test.py
index 83a927a81..63eaa699d 100644
--- a/web/pgadmin/feature_tests/file_manager_test.py
+++ b/web/pgadmin/feature_tests/file_manager_test.py
@@ -76,7 +76,7 @@ class CheckFileManagerFeatureTest(BaseFeatureTest):
         self.page.find_by_css_selector(QueryToolLocators.btn_save_file) \
             .click()
         # Set the XSS value in input
-        WebDriverWait(self.driver, 10).until(EC.presence_of_element_located(
+        WebDriverWait(self.driver, 15).until(EC.presence_of_element_located(
             (By.CSS_SELECTOR, ".change_file_types")))
         self.page.find_by_css_selector('.change_file_types')
         self.page.fill_input_by_css_selector(
diff --git a/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py b/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
index fd497ea0d..6f40fbc8a 100644
--- a/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
+++ b/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
@@ -82,7 +82,7 @@ class PGUtilitiesMaintenanceFeatureTest(BaseFeatureTest):
         self.page.click_modal('OK', True)
         self.page.wait_for_element_to_disappear(
             lambda driver: driver.find_element(
-                By.XPATH, NavMenuLocators.maintenance_operation))
+                By.XPATH, NavMenuLocators.maintenance_operation), 10)
 
         # Wait for the backup status alertfier
         self.wait.until(EC.visibility_of_element_located(
diff --git a/web/pgadmin/feature_tests/xss_checks_pgadmin_debugger_test.py b/web/pgadmin/feature_tests/xss_checks_pgadmin_debugger_test.py
index 998c6d8a5..3f54a23c3 100644
--- a/web/pgadmin/feature_tests/xss_checks_pgadmin_debugger_test.py
+++ b/web/pgadmin/feature_tests/xss_checks_pgadmin_debugger_test.py
@@ -78,7 +78,7 @@ class CheckDebuggerForXssFeatureTest(BaseFeatureTest):
         try:
             wait = WebDriverWait(self.page.driver, 2)
             is_error = wait.until(EC.presence_of_element_located(
-                (By.XPATH, "//div[@class ='MuiDialogTitle-root']"
+                (By.XPATH, "//div[contains(@class,'MuiDialogTitle-root')]"
                            "//div[text()='Debugger Error']")
             ))
 
